
Modular - Bug #273
Modules crash on Mac PPC processors
2009-08-10 01:31 pm - Trond Lossius

Status: Closed Start date: 2009-08-10
Priority: High Due date:
Assignee: Tim Place % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.5 Spent time: 0.75 hour
Branch: OS:
Description

Today I have spent time setting up Jamoma and Max on a PPC (G5) at BEK.

Jamoma seems to be much less stable pon PPC. E.g. loading the jmod.input~ module cause the crash below. This crash seems to
come up a lot. Two possible solutions:

    1. We look into the problem and see if we manage to track it down. There miught be a problem burried here that could be worth
considering even though it is currently not affecting us on Intel.
    2. We say goodbye to PPC, and state that Jamoma requires Intel.

I would suggest at least doing some examination of the problem before jumping to #2.

Process:         MaxMSP [4949]
Path:            /Applications/Max5/MaxMSP.app/Contents/MacOS/MaxMSP
Identifier:      com.cycling74.MaxMSP
Version:         5.0.7 (38325) (5.0.7)
Code Type:       PPC (Native)
Parent Process:  launchd [211]

Interval Since Last Report:          117 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  95 sec
Per-App Crashes Since Last Report:   1

Date/Time:       2009-08-10 13:24:53.067 +0200
OS Version:      Mac OS X 10.5.8 (9L30)
Report Version:  6
Anonymous UUID:  C6507781-17F9-41DC-9363-6268E2F7F7DF

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000ffffffff
Crashed Thread:  0

Thread 0 Crashed:
0   com.cycling74.MaxMSP              0x000af038 atom_getlong + 24
1   com.cycling74.MaxMSP              0x000a6544 attr_offset_set + 76
2   com.cycling74.MaxMSP              0x000ac134 object_method + 596
3   com.cycling74.MaxMSP              0x0016fa20 jpatcher_setenable_iterfun + 36
4   com.cycling74.MaxMSP              0x0016a664 jpatcher_iterate_iterfun + 100
5   com.cycling74.MaxMSP              0x0005ac80 linklist_funall_break + 104
6   com.cycling74.MaxMSP              0x00168f48 jpatcher_iterate + 56
7   com.cycling74.MaxMSP              0x0016f9e4 jpatcher_setrock + 84
8   com.cycling74.MaxMSP              0x000ac304 object_method + 1060
9   com.cycling74.MaxMSP              0x00063ff8 outlet_msg + 116
10  com.cycling74.MaxMSP              0x00031284 defer_exec(defer*) + 84
11  com.cycling74.MaxMSP              0x00027f4c sched_dequeue + 180
12  com.cycling74.MaxMSP              0x00011210 max_tick + 112
13  com.cycling74.MaxMSP              0x001ce7a4 maxapplication_eventtimerproc(_EventLoopTimer*, void*) + 20
14  com.apple.CoreFoundation          0x96212818 CFRunLoopRunSpecific + 2968
15  com.apple.HIToolbox               0x903a5b14 RunCurrentEventLoopInMode + 264
16  com.apple.HIToolbox               0x903a5938 ReceiveNextEventCommon + 412
17  com.cycling74.MaxMSP              0x002a679c juce::juce_dispatchNextMessageOnSystemQueue(bool) + 484
18  com.cycling74.MaxMSP              0x002b0794 juce::MessageManager::dispatchNextMessage(bool, bool*) + 88
19  com.cycling74.MaxMSP              0x002b0890 juce::MessageManager::runDispatchLoop() + 32
20  com.cycling74.MaxMSP              0x002aee34 juce::JUCEApplication::main(juce::String&, juce::JUCEApplication*) + 544
21  com.cycling74.MaxMSP              0x002aef20 juce::JUCEApplication::main(int, char**, juce::JUCEApplication*) + 132
22  com.cycling74.MaxMSP              0x00002ec8 _start + 756
23  com.cycling74.MaxMSP              0x00002bcc start + 44

Thread 1:
0   libSystem.B.dylib                 0x962dc278 semaphore_timedwait_signal_trap + 8
1   libSystem.B.dylib                 0x9631f368 _pthread_cond_wait + 1320
2   ...ple.CoreServices.CarbonCore    0x95862ab8 TSWaitOnConditionTimedRelative + 240
3   ...ple.CoreServices.CarbonCore    0x9586288c TSWaitOnSemaphoreCommon + 428
4   ...ple.CoreServices.CarbonCore    0x95894924 TimerThread + 68
5   libSystem.B.dylib                 0x9631e0c4 _pthread_start + 316

Thread 2:
0   libSystem.B.dylib                 0x9631d904 kevent + 12
1   com.apple.CoreFoundation          0x961e99b0 monitor_file_descriptor + 88

Thread 3:
0   libSystem.B.dylib                 0x9631d904 kevent + 12
1   com.apple.CoreFoundation          0x961e99b0 monitor_file_descriptor + 88

Thread 4:
0   libSystem.B.dylib                 0x9631d904 kevent + 12
1   com.apple.CoreFoundation          0x961e99b0 monitor_file_descriptor + 88

Thread 5:
0   libSystem.B.dylib                 0x9631d904 kevent + 12
1   com.apple.CoreFoundation          0x961e99b0 monitor_file_descriptor + 88

Thread 6:
0   libSystem.B.dylib                 0x962dc1f8 mach_msg_trap + 8
1   libSystem.B.dylib                 0x962e311c mach_msg + 56
2   com.apple.CoreFoundation          0x96212394 CFRunLoopRunSpecific + 1812
3   com.apple.audio.CoreAudio         0x95635fa8 HALRunLoop::OwnThread(void*) + 212
4   com.apple.audio.CoreAudio         0x95635de4 CAPThread::Entry(CAPThread*) + 104
5   libSystem.B.dylib                 0x9631e0c4 _pthread_start + 316

Thread 7:
0   libSystem.B.dylib                 0x962dc1f8 mach_msg_trap + 8
1   libSystem.B.dylib                 0x962e311c mach_msg + 56
2   com.apple.audio.midi.CoreMIDI     0x06912f34 XServerMachPort::ReceiveMessage(int&, void*, int&) + 88
3   com.apple.audio.midi.CoreMIDI     0x06904adc MIDIInPortThread::Run() + 68
4   com.apple.audio.midi.CoreMIDI     0x06908104 XThread::RunHelper(void*) + 24
5   com.apple.audio.midi.CoreMIDI     0x06913aa8 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib                 0x9631e0c4 _pthread_start + 316

Thread 8:
0   libSystem.B.dylib                 0x962dc278 semaphore_timedwait_signal_trap + 8
1   libSystem.B.dylib                 0x9631f368 _pthread_cond_wait + 1320
2   com.cycling74.MaxMSP              0x002b1a60 juce::InternalTimerThread::run() + 312
3   com.cycling74.MaxMSP              0x002a5b90 juce::threadEntryProc(void*) + 12

Thread 0 crashed with PPC Thread State 32:
  srr0: 0x000af038  srr1: 0x0000f030   dar: 0xffffffff dsisr: 0x40000000
    r0: 0x00000000    r1: 0xbfffea40    r2: 0x0104b010    r3: 0xffffffff
    r4: 0x092c9dc0    r5: 0x00000001    r6: 0xffffffff    r7: 0xbfffea80
    r8: 0x00000000    r9: 0x01044088   r10: 0x6470feff   r11: 0xbfffeb28
   r12: 0x000a64f8   r13: 0x00000000   r14: 0xa0a3f478   r15: 0x7fffffff
   r16: 0xffffffff   r17: 0x00000001   r18: 0x00000000   r19: 0x00000000
   r20: 0x00000000   r21: 0x00000000   r22: 0xbffff300   r23: 0x00000f03
   r24: 0x00a08800   r25: 0x00436958   r26: 0x00000002   r27: 0x00000000
   r28: 0xbfffecb8   r29: 0x000a64f8   r30: 0x09ab7848   r31: 0xffffffff
    cr: 0x44042222   xer: 0x20000000    lr: 0x000a6548   ctr: 0x000a64f8
vrsave: 0x00000000

Binary Images:
    0x1000 -   0x422ff8 com.cycling74.MaxMSP 5.0.7 (38325) (5.0.7) <a12dcf3f5e7f40230cc005dcc00c21b5>
/Applications/Max5/MaxMSP.app/Contents/MacOS/MaxMSP
  0xc00000 -   0xc63fe3 +[Unknown Bundle] ? (?) <2906e28dba004885be5c52673cbbaad9> [Unknown Bundle]
  0xd04000 -   0xd05fff +com.cycling74.fseventwatcher 5.0.7 (38325) (38325) <b08a020104cf8b5a9c18137913b40405>
/Applications/Max5/Cycling '74/extensions/fseventwatcher.mxo/Contents/MacOS/fseventwatcher
  0xd34000 -   0xd34fff +com.cycling74.cartopol 5.0.7 (38325) (38325) <f098333c5ca90c339cb6f6c652b15558>
/Applications/Max5/Cycling '74/max-externals/cartopol.mxo/Contents/MacOS/cartopol
  0xd43000 -   0xd46fff +org.jamoma.jcom.in 0.5 (0.5) <a2a89ef4f2c912bce39c890286016f95>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.in.mxo/Contents/MacOS/jcom.in
  0xd4f000 -   0xd52fff +com.cycling74.debugwindow 5.0.7 (38325) (38325) <454d34e0b69d23145b2d28b11ccdb5e8>
/Applications/Max5/Cycling '74/extensions/debugwindow.mxo/Contents/MacOS/debugwindow
  0xd7e000 -   0xdcaffe +com.cycling74.MaxAPI 1.0 (1.0) <b6023eb5090afd4c110528378ef2876f>
/Applications/Max5/MaxMSP.app/Contents/Frameworks/MaxAPI.framework/MaxAPI
  0xe2d000 -   0xe30fff +com.cycling74.fpic 5.0.7 (38325) (38325) <da6161960916b0d4580a22b6f01845a3>
/Applications/Max5/Cycling '74/max-externals/fpic.mxo/Contents/MacOS/fpic
  0xedd000 -   0xee6fff +com.cycling74.tab 5.0.7 (38325) (38325) <595d779e2bf1c642e47015088a65c7fb>
/Applications/Max5/Cycling '74/max-externals/tab.mxo/Contents/MacOS/tab
  0xff8000 -   0xff9fff +org.jamoma.jcom.loader 0.5 (0.5) <ccd205f9eef7907d13e251a0152a43b7> /Applications/Max5/Cycling
'74/extensions/jcom.loader.mxo/Contents/MacOS/jcom.loader
  0xffc000 -   0xffdffd +com.cycling74.augraph 5.0.7 (38325) (38325) <965ba9fe6c3c6099d1341a93f15443a3>
/Applications/Max5/Cycling '74/mididrivers/augraph.mxo/Contents/MacOS/augraph
 0x2b9d000 -  0x2ba4fff +com.cycling74.autohelp 5.0.7 (38325) (38325) <89241c3df8eaca54f02ea704c370cf12>
/Applications/Max5/Cycling '74/extensions/autohelp.mxo/Contents/MacOS/autohelp
 0x2ba9000 -  0x2bacfff +TTAudioUnit.ttdylib ? (?) <8e3c1e66344c0db3b68ccb868838de72> /Library/Application
Support/TTBlue/Extensions/TTAudioUnit.ttdylib
 0x5c8f000 -  0x5cb0ff1  libmx.A.dylib ? (?) /usr/lib/libmx.A.dylib
 0x5cb8000 -  0x5cc9ffb +com.cycling74.MaxAudioAPI ? (1.0) <75817cc256945098d8882a69d0506630>
/Applications/Max5/MaxMSP.app/Contents/Frameworks/MaxAudioAPI.framework/Versions/A/MaxAudioAPI
 0x5cda000 -  0x5e3aff1 +com.cycling74.JitterAPI 1.7.0 (1.7.0) <495f1f5f1f30b945bed1e59aa3908016>
/Applications/Max5/MaxMSP.app/Contents/Frameworks/JitterAPI.framework/Versions/A/JitterAPI
 0x5f12000 -  0x5f6aff5 +JamomaDSP ? (?) <9556156c27e35393b11395219f128dc1>
/Library/Frameworks/JamomaDSP.framework/Versions/A/JamomaDSP
 0x5fbd000 -  0x5fdfffb +org.jamoma.Jamoma VERSION (SVNREV) (SVNREV) <0587952d1db111f6acb6cea1d601a303>
/Library/Frameworks/Jamoma.framework/Versions/A/Jamoma
 0x5ffe000 -  0x6005fff  com.apple.JavaVM 12.2.2 (12.2.2) <66f0b4a638cd0a2c2ab76c8b13382b51>
/System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
 0x600e000 -  0x6012fff  com.apple.audio.AudioIPCPlugIn 1.0.6 (1.0.6) <ac58ebbd8e1179ff891b7a60b2ba33cc>
/System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
 0x6017000 -  0x6018ffd  com.apple.aoa.halplugin 2.5.8 (2.5.8f1) <0d6be2c83d2f582060ba48293d283cdd>
/System/Library/Extensions/IOAudioFamily.kext/Contents/PlugIns/AOAHALPlugin.bundle/Contents/MacOS/AOAHALPlugin
 0x601c000 -  0x6023fff +com.cycling74.ad_coreaudio 5.0.7 (38325) (38325) <6eb64ff20035ccf6378f139c93373e02>
/Applications/Max5/Cycling '74/ad/ad_coreaudio.mxo/Contents/MacOS/ad_coreaudio
 0x6028000 -  0x602afff +com.cycling74.ad_nonreal 5.0.7 (38325) (38325) <80b5e9a82da7616f91ffbca15a8c0ccb>
/Applications/Max5/Cycling '74/ad/ad_nonreal.mxo/Contents/MacOS/ad_nonreal
 0x602d000 -  0x6037ff9 +com.cycling74.ad_rewire 5.0.7 (38325) (38325) <a3e9cb218e168ea3aa6da1858cfcc066>
/Applications/Max5/Cycling '74/ad/ad_rewire.mxo/Contents/MacOS/ad_rewire
 0x605e000 -  0x6061fff +com.cycling74.objectview 5.0.7 (38325) (38325) <edf1663d980139898c3c9eaab1f02274>
/Applications/Max5/Cycling '74/extensions/objectview.mxo/Contents/MacOS/objectview
 0x60a6000 -  0x60d6ffb +com.cycling74.querylib 5.0.7 (38325) (38325) <067b81e42144a85048bf2eee0fd7b688>
/Applications/Max5/Cycling '74/extensions/querylib.mxo/Contents/MacOS/querylib
 0x616b000 -  0x61d4fff +com.cycling74.sqlite VERSION (SVNREV) (SVNREV) <c24f24dcb04ba00995343b88073838fa>
/Applications/Max5/Cycling '74/extensions/sqlite.mxo/Contents/MacOS/sqlite
 0x61e2000 -  0x61e5fff +com.cycling74.zoomer 5.0.7 (38325) (38325) <ab01b8d17fbe1369db045aa04c3f79f6>
/Applications/Max5/Cycling '74/extensions/zoomer.mxo/Contents/MacOS/zoomer
 0x6203000 -  0x6205fff +com.cycling74.coremidi 5.0.7 (38325) (38325) <add029fe7dae8e4f9426beae84e044b1>
/Applications/Max5/Cycling '74/mididrivers/coremidi.mxo/Contents/MacOS/coremidi
 0x620e000 -  0x620fffb +TTClipper.ttdylib ? (?) <9e620fdaa25daf0ea85b0cf7fb655d79> /Library/Application
Support/TTBlue/Extensions/TTClipper.ttdylib
 0x6213000 -  0x6222fff +TTEffectsLib.ttdylib ? (?) <2b59503ee0e4dbbb7bb893633b1996e8> /Library/Application
Support/TTBlue/Extensions/TTEffectsLib.ttdylib
 0x622e000 -  0x6258fff +TTFilterLib.ttdylib ? (?) <fb810e98a4e14cde29bb926773dac0e7> /Library/Application
Support/TTBlue/Extensions/TTFilterLib.ttdylib
 0x6274000 -  0x627afff +TTFunctionLib.ttdylib ? (?) <f50e9ecd07a46faf3630fd056e93e802> /Library/Application
Support/TTBlue/Extensions/TTFunctionLib.ttdylib
 0x62ed000 -  0x62eefff +com.cycling74.midi_adrewire 5.0.7 (38325) (38325) <8096bd80786d913aef92c1f0196eda58>
/Applications/Max5/Cycling '74/mididrivers/midi_adrewire.mxo/Contents/MacOS/midi_adrewire
 0x6749000 -  0x674dffb  com.apple.CommonCocoaPanels 3.0 (15) <869fed3827c128784c297a78da77ab4a>
/System/Library/CoreServices/CommonCocoaPanels.bundle/Contents/MacOS/CommonCocoaPanels
 0x6758000 -  0x6758ffd +com.cycling74.screensize 5.0.7 (38325) (38325) <dd976d69e7175db1a045ecfd4131d207>
/Applications/Max5/Cycling '74/max-externals/screensize.mxo/Contents/MacOS/screensize
 0x6901000 -  0x691dffb  com.apple.audio.midi.CoreMIDI 1.6.1 (42)
/System/Library/Frameworks/CoreMIDI.framework/Versions/A/CoreMIDI
 0x6933000 -  0x6954fff  libexpat.1.dylib ? (?) <e955fbf7296287c4d40694cf7dffd64f> /usr/lib/libexpat.1.dylib
 0x705e000 -  0x7245ff3  com.apple.RawCamera.bundle 2.1.0 (474) <ba17722601435c06547ceba8723777bb>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0x72d8000 -  0x72dcfff +com.cycling74.comment 5.0.7 (38325) (38325) <baf45f211b3bcd3d452e35659498241a>
/Applications/Max5/Cycling '74/max-externals/comment.mxo/Contents/MacOS/comment
 0x72e1000 -  0x72e6fff +com.cycling74.panel 5.0.7 (38325) (38325) <e5392d8a93f0e293f0a96637fee91a79>
/Applications/Max5/Cycling '74/max-externals/panel.mxo/Contents/MacOS/panel
 0x72eb000 -  0x72f3fff +com.cycling74.textbutton 5.0.7 (38325) (38325) <6623d2b4774235571f3c5f91932f5fe3>
/Applications/Max5/Cycling '74/max-externals/textbutton.mxo/Contents/MacOS/textbutton
 0x72f8000 -  0x72f9fff +com.cycling74.mousestate 5.0.7 (38325) (38325) <5b0426fe1734c1d4eb58159552399b7f>
/Applications/Max5/Cycling '74/max-externals/mousestate.mxo/Contents/MacOS/mousestate
 0x78ec000 -  0x78eefff +org.jamoma.jcom.remote 0.5 (0.5) <4d2e3328b12dcfa988a530aa20f54f3f>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.remote.mxo/Contents/MacOS/jcom.remote
 0x82f2000 -  0x82f7ffb +com.cycling74.message 5.0.7 (38325) (38325) <26f99d847591d5214991ee0b9b182b11>
/Applications/Max5/Cycling '74/max-externals/message.mxo/Contents/MacOS/message
 0x82fc000 -  0x82fcffd +com.cycling74.conformpath 5.0.7 (38325) (38325) <e5acf33ea2a19fa552e806711582010c>
/Applications/Max5/Cycling '74/max-externals/conformpath.mxo/Contents/MacOS/conformpath
 0x853d000 -  0x8540fff +com.cycling74.toggle 5.0.7 (38325) (38325) <b7a216662cef561f26ff475f1524d6db>
/Applications/Max5/Cycling '74/max-externals/toggle.mxo/Contents/MacOS/toggle
 0x85b5000 -  0x85c0fff +org.jamoma.jcom.parameter 0.5 (0.5) <4184afba68c1bad7f8cc08c554dbbd0f>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.parameter.mxo/Contents/MacOS/jcom.parameter
 0x85c7000 -  0x85d3fff +com.cycling74.umenu 5.0.7 (38325) (38325) <63cace6b828bca03e8b02fd8ffc7d387>
/Applications/Max5/Cycling '74/max-externals/umenu.mxo/Contents/MacOS/umenu
 0x85d9000 -  0x85dbfff +org.jamoma.jcom.init 0.5 (0.5) <203c1690cbdb4d63879c84d955105404>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.init.mxo/Contents/MacOS/jcom.init
 0x85de000 -  0x85e1ffb +com.cycling74.button 5.0.7 (38325) (38325) <da1bb5b3980401ab67b87db1c9f13327>
/Applications/Max5/Cycling '74/max-externals/button.mxo/Contents/MacOS/button
 0x85e6000 -  0x85eafff +org.jamoma.jcom.return 0.5 (0.5) <ce3aeabe242cfcd3c242ee792be2506c>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.return.mxo/Contents/MacOS/jcom.return
 0x85ee000 -  0x85f1fff +org.jamoma.jcom.oscroute 0.5 (0.5) <b713204990ea16d7aea3a46943502ed5>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.oscroute.mxo/Contents/MacOS/jcom.oscroute
 0x90dd000 -  0x90ebfff +org.jamoma.jcom.ui 0.5 (0.5) <989908d15196a44f15ff86c357087288>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.ui.mxo/Contents/MacOS/jcom.ui
 0x90fd000 -  0x90fdfff +com.cycling74.prepend 5.0.7 (38325) (38325) <ecf825a140f621ffc16662bcbdc57795>
/Applications/Max5/Cycling '74/max-externals/prepend.mxo/Contents/MacOS/prepend
 0x9345000 -  0x935cffb +org.jamoma.jcom.hub 0.5 (0.5) <fcdb6efff3db3b1048aa21ff75540156>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.hub.mxo/Contents/MacOS/jcom.hub
 0x93b9000 -  0x93b9fff +com.cycling74.delay 5.0.7 (38325) (38325) <ef14b9a9453af17c811b5997d5548655>
/Applications/Max5/Cycling '74/max-externals/delay.mxo/Contents/MacOS/delay
 0x93bc000 -  0x93bcffc +com.cycling74.deferlow 5.0.7 (38325) (38325) <3c9e235086d51bed2e22e1fc60e52ea2>
/Applications/Max5/Cycling '74/max-externals/deferlow.mxo/Contents/MacOS/deferlow
 0x93cb000 -  0x93d4fff +com.cycling74.number VERSION (SVNREV) (SVNREV) <4fe106024a466e9e00ea772c92b9e0cc>
/Applications/Max5/Cycling '74/max-externals/number.mxo/Contents/MacOS/number
 0x93da000 -  0x93e0ffb +com.cycling74.dial 5.0.7 (38325) (38325) <054388b911cd42fbcf72b4265cb097b5>
/Applications/Max5/Cycling '74/max-externals/dial.mxo/Contents/MacOS/dial
 0x9512000 -  0x9518ffb +org.jamoma.jcom.textslider 0.5 (0.5) <bfe4f90ef07102c7e89f193c3f2c0107>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.textslider.mxo/Contents/MacOS/jcom.textslider
 0x951d000 -  0x951dffe +com.cycling74.tosymbol 5.0.7 (38325) (38325) <1783661a83bb99f77415b9aa44c374ce>
/Applications/Max5/Cycling '74/max-externals/tosymbol.mxo/Contents/MacOS/tosymbol
 0x9522000 -  0x9527fff +org.jamoma.jcom.out~ 0.5 (0.5) <30e14ba5a2c4c5ba6b1c785689cadce9>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.out~.mxo/Contents/MacOS/jcom.out~
 0x952c000 -  0x952cffe +com.cycling74.append 5.0.7 (38325) (38325) <261a05c6d41a4c74b5444cd0d134bf4e>
/Applications/Max5/Cycling '74/max-externals/append.mxo/Contents/MacOS/append
 0x9530000 -  0x953bfff +org.jamoma.jcom.message 0.5 (0.5) <985ae71fda25c21fe207664c81082e61>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.message.mxo/Contents/MacOS/jcom.message
 0x97c4000 -  0x97c8fff +org.jamoma.jcom.in~ 0.5 (0.5) <70c2f0be8abdd8b4f8598c53fbc2366a>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.in~.mxo/Contents/MacOS/jcom.in~
 0x97cd000 -  0x97cefff +com.cycling74.metro 5.0.7 (38325) (38325) <30bb6acf0d127fca9d876965de190d49>
/Applications/Max5/Cycling '74/max-externals/metro.mxo/Contents/MacOS/metro
 0x97d1000 -  0x97d1ffe +com.cycling74.pass~ 5.0.7 (38325) (38325) <81aba2b72549bb609787edb660226b9e>
/Applications/Max5/Cycling '74/msp-externals/pass~.mxo/Contents/MacOS/pass~
 0x97d4000 -  0x97d4ffb +com.cycling74.click~ 5.0.7 (38325) (38325) <9b0e3736e0eed05963033e838e263562>
/Applications/Max5/Cycling '74/msp-externals/click~.mxo/Contents/MacOS/click~
 0x97d7000 -  0x97d8fff +com.cycling74.speedlim 5.0.7 (38325) (38325) <fd82c214fb214a35a3af4f3973672f65>
/Applications/Max5/Cycling '74/max-externals/speedlim.mxo/Contents/MacOS/speedlim
 0x97ed000 -  0x97effff +com.cycling74.adstatus 5.0.7 (38325) (38325) <d74ae76c77619c6f638aa7aa676ffedb>
/Applications/Max5/Cycling '74/msp-externals/adstatus.mxo/Contents/MacOS/adstatus
 0x97f2000 -  0x97f2fff +com.cycling74.times~ 5.0.7 (38325) (38325) <4bbaf005fdd190a951d6284b72f6d4e0>
/Applications/Max5/Cycling '74/msp-externals/times~.mxo/Contents/MacOS/times~
 0x97f5000 -  0x97f6fff +com.cycling74.line~ 5.0.7 (38325) (38325) <8c52e92bb07f59584f868cb6ecbf0005>
/Applications/Max5/Cycling '74/msp-externals/line~.mxo/Contents/MacOS/line~
 0x97f9000 -  0x97f9fff +com.cycling74.dspstate~ 5.0.7 (38325) (38325) <0b97e50bdaba357a4f7b3fd70f1e2ab2>
/Applications/Max5/Cycling '74/msp-externals/dspstate~.mxo/Contents/MacOS/dspstate~
 0x97fc000 -  0x97fcfff +com.cycling74.sin 5.0.7 (38325) (38325) <03915e3d5134b00748e0bea0096d1b44>
/Applications/Max5/Cycling '74/max-externals/sin.mxo/Contents/MacOS/sin
 0x9ac7000 -  0x9ac7fff +com.cycling74.cos 5.0.7 (38325) (38325) <96d776e6595a9afccf648893aeca136b>
/Applications/Max5/Cycling '74/max-externals/cos.mxo/Contents/MacOS/cos
 0x9aca000 -  0x9acafff +com.cycling74.scale 5.0.7 (38325) (38325) <f084f15e7f25264d1b6af2aa6544163f>
/Applications/Max5/Cycling '74/max-externals/scale.mxo/Contents/MacOS/scale
 0x9b0e000 -  0x9b10fff +org.jamoma.jcom.dataspace 0.5 (0.5) <1f583f48cd39e5b44384a8f51693320f>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.dataspace.mxo/Contents/MacOS/jcom.dataspace
 0x9b14000 -  0x9b16fff +com.cycling74.matrix~ 5.0.7 (38325) (38325) <476e667f611f10c1e21429fa931dc443>
/Applications/Max5/Cycling '74/msp-externals/matrix~.mxo/Contents/MacOS/matrix~
 0x9b19000 -  0x9b19ffe +com.cycling74.selector~ 5.0.7 (38325) (38325) <a6af00fff121d871a0faa2e09807d1a6>
/Applications/Max5/Cycling '74/msp-externals/selector~.mxo/Contents/MacOS/selector~
 0x9b1c000 -  0x9b1cfff +com.cycling74.edge~ 5.0.7 (38325) (38325) <48c6c81c81fce56c217b1187d364028e>
/Applications/Max5/Cycling '74/msp-externals/edge~.mxo/Contents/MacOS/edge~
 0x9b1f000 -  0x9b1ffff +com.cycling74.change~ 5.0.7 (38325) (38325) <1fd21200faa79bbad1b98dc46a2408a2>
/Applications/Max5/Cycling '74/msp-externals/change~.mxo/Contents/MacOS/change~
 0x9b63000 -  0x9b63fff +com.cycling74.split 5.0.7 (38325) (38325) <97377b38dd734ea12c33e13cd208ea31>
/Applications/Max5/Cycling '74/max-externals/split.mxo/Contents/MacOS/split
 0x9b66000 -  0x9b67fff +com.cycling74.sprintf 5.0.7 (38325) (38325) <bf34dc3c3a8ca0a8c4c08ceadc37fc65>
/Applications/Max5/Cycling '74/max-externals/sprintf.mxo/Contents/MacOS/sprintf
 0x9bab000 -  0x9bacfff +com.cycling74.snapshot~ 5.0.7 (38325) (38325) <d798968ef7a94f79e137c91a03d2cf68>
/Applications/Max5/Cycling '74/msp-externals/snapshot~.mxo/Contents/MacOS/snapshot~
 0x9baf000 -  0x9bafffe +com.cycling74.strippath 5.0.7 (38325) (38325) <b74e75d09d819baa80855996cee7f0fb>
/Applications/Max5/Cycling '74/max-externals/strippath.mxo/Contents/MacOS/strippath
 0x9bb2000 -  0x9bb2ffe +com.cycling74.opendialog 5.0.7 (38325) (38325) <06d1b1baedfed5b5e5ed6a8b76643d47>
/Applications/Max5/Cycling '74/max-externals/opendialog.mxo/Contents/MacOS/opendialog
 0x9bb5000 -  0x9bc4fff +com.cycling74.sfplay~ 5.0.7 (38325) (38325) <c01e17cf8f7f2e0b0c40e9ac3d6aab60>
/Applications/Max5/Cycling '74/msp-externals/sfplay~.mxo/Contents/MacOS/sfplay~
 0x9bc9000 -  0x9bcafff +com.cycling74.adc~ 5.0.7 (38325) (38325) <d753d28abda6b996e23a3c8d0a3ef86a>
/Applications/Max5/Cycling '74/msp-externals/adc~.mxo/Contents/MacOS/adc~
 0x9bcd000 -  0x9bcdffa +com.cycling74.pink~ 5.0.7 (38325) (38325) <d85714e9beefc55a5e9dc5ed6946ead5>
/Applications/Max5/Cycling '74/msp-externals/pink~.mxo/Contents/MacOS/pink~
 0x9f88000 -  0x9f89fff +com.cycling74.cycle~ 5.0.7 (38325) (38325) <4e0b2ba53bb2a10e5a859c56a9765716>
/Applications/Max5/Cycling '74/msp-externals/cycle~.mxo/Contents/MacOS/cycle~
 0x9fcd000 -  0x9fcffff +com.cycling74.dropfile 5.0.7 (38325) (38325) <9c13ffe9a22d69577d2ddea1192bc6eb>
/Applications/Max5/Cycling '74/max-externals/dropfile.mxo/Contents/MacOS/dropfile
 0x9fd2000 -  0x9fd6ffb +org.jamoma.jcom.meter~ 0.5 (0.5) <3678125691a1f6d0ee5ceece865c2c1a>
/Jamoma/Modular/Jamoma/library/externals/mac/jcom.meter~.mxo/Contents/MacOS/jcom.meter~
0x8fe00000 - 0x8fe30c23  dyld 97.1 (?) <89a0055b0e7ea2db881b73c6e63bc774> /usr/lib/dyld
0x90003000 - 0x9001affb  com.apple.ImageCapture 5.0.2 (5.0.2)
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9001b000 - 0x90071fff  libGLU.dylib ? (?) <3418ce7ca0863162847f553c15d08674>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x90072000 - 0x900edfff  com.apple.SearchKit 1.2.2 (1.2.2) <a9d0033a5e1e55b5e382e52fe578d734>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x900ee000 - 0x901bdfff  com.apple.ColorSync 4.5.2 (4.5.2)
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x90224000 - 0x90232ff3  com.apple.opengl 1.5.10 (1.5.10) <54bae289e544387ce7997a4a05e70aa9>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x90233000 - 0x90236fff  com.apple.help 1.1 (36) <7106d6e074a3b9835ebf1e6cc6c822ce>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x90237000 - 0x90253ffb  libPng.dylib ? (?) <c38b8147be503f8f2ce6ce0fbc18f217>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
g.dylib
0x90254000 - 0x9034affc  libiconv.2.dylib ? (?) <05ae1fcc97404173b2f9caef8f8be797> /usr/lib/libiconv.2.dylib
0x9034b000 - 0x90374ffb  com.apple.shortcut 1.0.1 (1.0) <8da20d176ab4cf71cdf4f79b477fe0e7>
/System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x90375000 - 0x906aeff7  com.apple.HIToolbox 1.5.6 (?) <a3b713a77c16da495c886463985f1e39>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x906af000 - 0x906cefff  libresolv.9.dylib ? (?) <c5c72e1cf61cb844163156956a1d8407> /usr/lib/libresolv.9.dylib
0x906cf000 - 0x90816ffb  com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2)
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x908f3000 - 0x9093afff  com.apple.NavigationServices 3.5.2 (163) <453fd79dd63debad4908dcc726f9aa04>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
s
0x90a77000 - 0x90ea5ffe  libGLProgrammability.dylib ? (?) <5d52750ec9e438b25d3a4db51361fa2b>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x90ea6000 - 0x90eadfff  com.apple.CommonPanels 1.2.4 (85) <0d1256175c5512c911ede094d767acfe>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x90eae000 - 0x90eceff7  libJPEG.dylib ? (?) <70d3c9e2a22410faa560e87a36a32f2c>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
EG.dylib
0x91c33000 - 0x91cc8ff7  com.apple.framework.IOKit 1.5.2 (?) <ced0a498252f76a2d2ba9f2a0ae02160>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x91cc9000 - 0x91cf0fff  libcups.2.dylib ? (?) <d4620a7b618827cd1ff4314476a1a879> /usr/lib/libcups.2.dylib
0x91cf1000 - 0x91d2afff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <21dee7ffd93306032f911b5ef3fdbab3>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91d9c000 - 0x920ceffb  com.apple.QuickTime 7.6.2 (1327) <f21b11980495fa789c8c7d6696db559a>
/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x920cf000 - 0x920cfff8  com.apple.Cocoa 6.5 (?) <e9a4f1c636d00893db0494c4040176ba>
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x920d0000 - 0x921b3fff  libobjc.A.dylib ? (?) <a1d4be2eed463c6799b6a1447fde72ba> /usr/lib/libobjc.A.dylib
0x92431000 - 0x92480fff  com.apple.Metadata 10.5.8 (398.26) <1a261534027b9d1518327d1fabe1182b>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x92481000 - 0x92517fff  com.apple.LaunchServices 291 (291) <37e4296a8c233e90c8990634264c294c>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
s
0x92518000 - 0x925c8fff  edu.mit.Kerberos 6.0.13 (6.0.13) <2ed20a450576465ee4f9c317b8ce8c44>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x925c9000 - 0x92653fff  libvMisc.dylib ? (?)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92658000 - 0x92674ffb  com.apple.openscripting 1.2.8 (?) <01f86cdb8f7347d2f3f13066e954acb6>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92675000 - 0x92679ffe  libGIF.dylib ? (?) <b81ce6e85799198d046c05355fe0fa33>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
F.dylib
0x9267a000 - 0x9268dfff  com.apple.LangAnalysis 1.6.5 (1.6.5) <2a661ad6e432dd62dd831e234904061f>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
is
0x9268e000 - 0x92690ffd  libRadiance.dylib ? (?) <e9d3729d89eb2add33ae513b96dd41fc>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
diance.dylib
0x9269c000 - 0x926afffb  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <050180a659a3905ea38f2acddcdf7b40>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
Synthesis
0x926e1000 - 0x926fbffb  com.apple.CoreVideo 1.6.0 (20.0) <a380c89335371ca9b4b116841a8279d2>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x926fc000 - 0x92704fff  libbsm.dylib ? (?) <c1fca3cbe3b1c21e9b31bc89b920f34c> /usr/lib/libbsm.dylib
0x9270c000 - 0x9270dff8  com.apple.ApplicationServices 34 (34) <6aa5ee485bb2e656531b3505932b845f>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x92751000 - 0x927d6fff  libsqlite3.0.dylib ? (?) <daf55b073488086ef5b9a3781be53f14> /usr/lib/libsqlite3.0.dylib
0x927d7000 - 0x927e7ffb  com.apple.agl 3.0.9 (AGL-3.0.9) <e751a9e491c3a9ef82c6405466106726>
/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x927e8000 - 0x92807fff  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x92808000 - 0x928bbffc  com.apple.CFNetwork 438.14 (438.14) <6e213ab40eabfc276ca46a7c7cfad01a>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x928bc000 - 0x928bfffb  com.apple.securityhi 3.0 (30817) <ad843393cafb2193fd716df88d8136bf>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x928d6000 - 0x92986fff  com.apple.QD 3.11.56 (?) <5e3f7cbff6ff025da4ce6ec610845f5e>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x92987000 - 0x92bcdffb  com.apple.Foundation 6.5.9 (677.26) <c30e4aea51bbae480d4550cd53abb441>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92bce000 - 0x92bd5ffb  com.apple.print.framework.Print 218.0.3 (220.2) <021d2263007c538fd9e6b52e66a2623d>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92bd6000 - 0x93564ff1  com.apple.WebCore 5530.19 (5530.19) <d2654b9fc844b9e3f21a2efd947bca4d>
/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x93565000 - 0x935a6ffb  libTIFF.dylib ? (?) <3d90effc44de6e218670af9eb8cdee57>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
FF.dylib
0x93620000 - 0x93687ffb  libstdc+.6.dylib ? (?) <a4e9b10268b3ffac26d0296499b24e8e> /usr/lib/libstdc++.6.dylib
0x93688000 - 0x939edffe  com.apple.QuartzCore 1.5.8 (1.5.8) <60e54cfb861dc5e66bb4f263a192d558>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x939ee000 - 0x93ab6ffb  com.apple.CoreData 100.2 (186.2) <be912ff41bd4506438a71d5665e89069>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93b1d000 - 0x93b1dffb  com.apple.installserver.framework 1.0 (8)
/System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x93b1e000 - 0x93c55ff7  com.apple.JavaScriptCore 5530.19 (5530.19) <aee234302caee3d1db815b695d6e1c06>
/System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x93c56000 - 0x93c93fff  libRIP.A.dylib ? (?) <321f32426fdb395be9346e9b1e378e60>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
/libRIP.A.dylib
0x93cc9000 - 0x93d18fff  libGLImage.dylib ? (?) <2e1f2a2625064149d209ec19e52d0384>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x93d1a000 - 0x93d45ff7  libauto.dylib ? (?) <a64d088b2d17e013b9ee5a08d3a20d33> /usr/lib/libauto.dylib
0x93d68000 - 0x93e3bfff  com.apple.CoreServices.OSServices 228 (228) <8610aed4edbd5d21e887a68c32b5c216>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x93e3c000 - 0x93e4afff  libz.1.dylib ? (?) <1a70dd3594a8c5ad39d785af5da23237> /usr/lib/libz.1.dylib

2021-03-07 8/11



0x93e75000 - 0x9419efe7  libLAPACK.dylib ? (?)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9419f000 - 0x941d0fff  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x942f7000 - 0x94386ffb  com.apple.DesktopServices 1.4.8 (1.4.8) <efaf20fbcdf58c7da37ddbcf190bba75>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x94387000 - 0x94387fff  com.apple.Carbon 136 (136) <f8fdb172887f2d6a374aed2d2a13b319>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x94653000 - 0x94653fff  com.apple.audio.units.AudioUnit 1.5 (1.5)
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x94671000 - 0x947bdffb  com.apple.ImageIO.framework 2.0.6 (2.0.6) <666390f7230cc01b3366106b8894fc46>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x9480d000 - 0x948c7fff  libcrypto.0.9.7.dylib ? (?) <4b5031781db984ba920156875ec2a772> /usr/lib/libcrypto.0.9.7.dylib
0x94908000 - 0x9496affb  com.apple.htmlrendering 68 (1.1.3) <e852db1c007de975fae2f0c2769c88ef>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x9496b000 - 0x949c8ffb  com.apple.HIServices 1.7.1 (?) <a6c5c0bf2d68aeb453dbc493b7d0c8d9>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x94b90000 - 0x94ba8ffb  com.apple.DictionaryServices 1.0.0 (1.0.0) <fe37191e732eeb66189185cd000a210b>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
rvices
0x94bdc000 - 0x94cc0ff6  com.apple.WebKit 5530.19 (5530.19.2) <fa147738fa08ffee1f4429c2769ce02b>
/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x94cc1000 - 0x94cf6fff  com.apple.AE 402.3 (402.3) <75725936d014fd3ca2553d18b784b99b>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x94cf7000 - 0x94d02fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <ae3dc890a43a9269388301f6b59d3091>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
on
0x94d03000 - 0x94d0fff3  com.apple.audio.SoundManager 3.9.2 (3.9.2) <79588842bcaf6c747a95b2120304397a>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x94d1e000 - 0x94e66ff3  libicucore.A.dylib ? (?) <07d0cefd48d11d5d5b1817c198013f0b> /usr/lib/libicucore.A.dylib
0x94e67000 - 0x94ee9fff  com.apple.print.framework.PrintCore 5.5.4 (245.6) <3cde2550ec10348b7162d2b6cb0dfc67>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x94eea000 - 0x94ef5ffb  libgcc_s.1.dylib ? (?) <ea47fd375407f162c76d14d64ba246cd> /usr/lib/libgcc_s.1.dylib
0x94f35000 - 0x954effff  libBLAS.dylib ? (?)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9552e000 - 0x955c7fc3  libvDSP.dylib ? (?)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x95613000 - 0x95613ffa  com.apple.CoreServices 32 (32) <42b6dda539f7411606187335d9eae0c5>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x95614000 - 0x9569cffb  com.apple.audio.CoreAudio 3.1.2 (3.1.2) <6fc8a8cb43506b57b951da899a55d3b9>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9569d000 - 0x956c5fff  libxslt.1.dylib ? (?) <bb985380f353bbc7ce694d56884ea156> /usr/lib/libxslt.1.dylib
0x95839000 - 0x95b3bffb  com.apple.CoreServices.CarbonCore 786.11 (786.13) <550244bb91e27b0fbafe01e1c4371103>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x95b3c000 - 0x95c50ffa  com.apple.vImage 3.0 (3.0)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x95c52000 - 0x95e3bffb  com.apple.security 5.0.5 (36371) <cfd97bfeda0ff5301a635ba6b6e4f83a>
/System/Library/Frameworks/Security.framework/Versions/A/Security
0x95e3c000 - 0x95e44ffb  libCGATS.A.dylib ? (?) <d60b65eef9cb999d356856a652063f55>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
/libCGATS.A.dylib
0x95e45000 - 0x95e72fff  libGL.dylib ? (?) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x95e73000 - 0x95e7cfff  com.apple.DiskArbitration 2.2.1 (2.2.1) <682f5c45591e8c4a89c79e384e2c49af>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x95e7d000 - 0x95e7dfff  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2)
/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x95e7e000 - 0x95f18ff7  com.apple.ApplicationServices.ATS 3.7 (?) <2e748b84ad5232add84d6aaad73b832f>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x95f19000 - 0x95f1eff6  libmathCommon.A.dylib ? (?) /usr/lib/system/libmathCommon.A.dylib
0x95f1f000 - 0x95f20fff  libffi.dylib ? (?) <11b77dbce4aa0f0b66d40014230abd1d> /usr/lib/libffi.dylib
0x95f27000 - 0x95f46fff  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x95f47000 - 0x95fa8fff  com.apple.CoreText 2.0.4 (?) <ebcc2c7e9b0bc10016af530d82a11f03>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9619b000 - 0x961a8fff  libCSync.A.dylib ? (?) <e059e4b9b326653e481a389fe8af10de>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
/libCSync.A.dylib
0x961a9000 - 0x962ceff3  com.apple.CoreFoundation 6.5.7 (476.19) <dee0f0024f3bf976cfa0a0816e8aa338>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x962cf000 - 0x962daff9  com.apple.helpdata 1.0.1 (14.2)
/System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x962db000 - 0x9647bff3  libSystem.B.dylib ? (?) <900415cd2c829b2de9a6cdcdaa6307e3> /usr/lib/libSystem.B.dylib
0x96482000 - 0x9656cfff  libxml2.2.dylib ? (?) <e9f58824c545bfeb50d89dbfa4d336a1> /usr/lib/libxml2.2.dylib
0x9656d000 - 0x96ae9ff3  com.apple.CoreGraphics 1.409.3 (?) <42ab271a33fb5cfb6f07e4dff8a5ca76>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
ics
0x96aea000 - 0x97260fff  com.apple.AppKit 6.5.9 (949.54) <687f1742c249d7c9268e2eb57713cef6>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x97268000 - 0x972f0fff  com.apple.ink.framework 101.3 (86) <66a99ad6bc695390a66dd24789e23dcc>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0xfffec000 - 0xfffeffff  libobjc.A.dylib ? (?) /usr/lib/libobjc.A.dylib
0xffff8000 - 0xffff9703  libSystem.B.dylib ? (???) /usr/lib/libSystem.B.dylib

History
#1 - 2009-08-10 08:46 pm - Nils Peters

we have a couple of G5 computers here at Music Tech. I could check later today.
to  have a testpatch that we all use would be good.

#2 - 2009-08-10 09:25 pm - Nils Peters
- File crash_with_bigJamomaPatch.rtf added
- File crash_with_degradeMaxhelp.rtf added
- File crash_with_delay_Maxhelp.rtf added

HI I just installed max5 on a G5 and Jamoma from the installer.
I got very quickly the following crashes, see attached files.

#3 - 2009-08-10 09:26 pm - Nils Peters
- File deleted (crash_with_bigJamomaPatch.rtf)

#4 - 2009-08-10 09:26 pm - Nils Peters
- File deleted (crash_with_degradeMaxhelp.rtf)

#5 - 2009-08-10 09:26 pm - Nils Peters
- File deleted (crash_with_delay_Maxhelp.rtf)

#6 - 2009-08-14 02:49 pm - Nils Peters

maybe we should be honest and just skip PPC support.
Whit Snow Leopard coming up, it will be even more more tempting to skip it, because this OS will be Intel-only.

#7 - 2009-09-09 08:46 pm - Tim Place
- Assignee set to Tim Place

I have found PPC with OS 10.4.11 on it that I didn't realize was available.  I'm looking into this now.

#8 - 2009-09-09 09:16 pm - Tim Place
- Status changed from New to Closed

This appears to be a bug in Max which is not going to be addressed.  So I think PPC support is essentially dead.

Files
crash_with_bigJamomaPatch.rtf 42.9 KB 2009-08-10 Nils Peters
crash_with_degradeMaxhelp.rtf 39.7 KB 2009-08-10 Nils Peters
crash_with_delay_Maxhelp.rtf 37.9 KB 2009-08-10 Nils Peters
